<script lang="ts">
    import { debug } from '../../common/debug'
    import { opacity } from '../color'
    import type { SimulationLink } from './simulation'

    export let link: SimulationLink
    export let color: string = 'black'
</script>

<line x1={link.source.x} y1={link.source.y}
      x2={link.target.x} y2={link.target.y}
      opacity={$opacity(link.i, link.j)}
      class="pointer-events-none"
      stroke-width="4" stroke={color}></line>

